<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/md_grey_100"
    android:orientation="vertical"
    android:scrollbars="none">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_white_et"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:padding="5dp">

            <TextView
                android:id="@+id/tv_client"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="客户端"
                android:textColor="@color/black_3d3d3d"
                android:textSize="@dimen/t16"
                />

            <com.jaredrummler.materialspinner.MaterialSpinner
                android:id="@+id/ms_client"
                android:layout_width="100dp"
                android:layout_weight="1"
                android:layout_height="wrap_content"
                android:ellipsize="marquee"
                android:focusable="true"
                android:gravity="left"
                android:singleLine="true"
                android:textSize="@dimen/t14"/>

        </LinearLayout>
        <LinearLayout
            android:id="@+id/ll_env"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_white_et"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:padding="5dp">

            <TextView
                android:id="@+id/tv_env"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="服务环境"
                android:textColor="@color/black_3d3d3d"
                android:textSize="@dimen/t16"
                />

            <com.jaredrummler.materialspinner.MaterialSpinner
                android:id="@+id/ms_env"
                android:layout_width="100dp"
                android:layout_weight="1"
                android:layout_height="wrap_content"
                android:ellipsize="marquee"
                android:focusable="true"
                android:gravity="left"
                android:singleLine="true"
                android:textSize="@dimen/t14"/>

        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_white_et"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:padding="5dp">

            <TextView
                android:id="@+id/tv_service_address"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/str_service_address"
                android:textColor="@color/black_3d3d3d"
                android:textSize="@dimen/t16"
                />

            <com.jaredrummler.materialspinner.MaterialSpinner
                android:id="@+id/ms_service_address"
                android:layout_width="100dp"
                android:layout_weight="1"
                android:layout_height="wrap_content"
                android:ellipsize="marquee"
                android:focusable="true"
                android:gravity="left"
                android:singleLine="true"
                android:textSize="@dimen/t14"/>

        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:layout_marginTop="@dimen/t24"
            >
            <Button
                android:id="@+id/btn_service_test"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dp_10"
                android:layout_weight="1"
                android:background="@drawable/bg_green_item"
                android:gravity="center"
                android:text="@string/str_service_test"
                android:textColor="@color/white"
                android:textSize="@dimen/t18"

                />
            <Button
                android:id="@+id/btn_service_save"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dp_10"
                android:layout_weight="1"
                android:background="@drawable/bg_orange_item"
                android:gravity="center"
                android:text="@string/save"
                android:textColor="@color/white"
                android:textSize="@dimen/t18" />
        </LinearLayout>



    </LinearLayout>
</ScrollView>